# 32/64 bit spec
#
%define dont_strip 1

Summary:	p2p VoIP application
Name:		skype
Version:	4.3.0.37
Release:	%mkrel 1
License:	Commercial, redistributable (see LICENSE)
Group:		Communications
Source0:	skype-%version.tar.xz
URL:		http://www.skype.com/
BuildRoot: 	%_tmppath/%name-%version
%ifarch x86_64
Requires:	ia32-libs >= 2013-5
%else
Requires:	libalsa2
Requires:	libqtcore4
Requires:	libqtdbus4
Requires:	libqtgui4
Requires:	libqtnetwork4
Requires:	libqtxml4
%endif
Conflicts:	skype_static

%description
p2p VoIP application.

License requirement: The Software originates from Skype and use the
links and graphics as published and indicated on
http://www.skype.com/go/redistribution/ .


%prep
%setup -q -n %name-%version
	
%install
rm -rf %buildroot

#Directories
install -d -m 0755 %buildroot/%{_bindir}
install -d -m 0755 %buildroot/%{_datadir}/skype
install -d -m 0755 %buildroot/%{_datadir}/skype/sounds
install -d -m 0755 %buildroot/%{_datadir}/skype/lang
install -d -m 0755 %buildroot/%{_datadir}/skype/avatars
install -d -m 0755 %buildroot/%{_iconsdir}
install -d -m 0755 %buildroot/%{_datadir}/pixmaps
install -d -m 0755 %buildroot/%{_sysconfdir}/dbus-1/system.d
install -d -m 0755 %buildroot/%{_datadir}/doc/skype-%{version}
install -d -m 0755 %buildroot/%{_datadir}/applications

#Fix the deprecated entry in desktop file first
sed -i 's/Terminal=0/Terminal=false/' skype.desktop

#Core Files
install -m 0644 skype.conf %buildroot/%{_sysconfdir}/dbus-1/system.d/skype.conf
install -m 0755 skype %buildroot/%{_bindir}/skype
#chmod u+s %buildroot/%_bindir/skype
install -m 0644 skype.desktop %buildroot/%{_datadir}/applications/skype.desktop
install -m 0644 LICENSE %buildroot/%{_datadir}/doc/skype-%{version}/LICENSE
install -m 0644 README %buildroot/%{_datadir}/doc/skype-%{version}/README


#Language Files
install lang/*.qm %buildroot/%{_datadir}/skype/lang

#Sound Files
install sounds/*.wav %buildroot/%{_datadir}/skype/sounds

#Avatar Files
install avatars/*.png %buildroot/%{_datadir}/skype/avatars

#Icons
install icons/SkypeBlue_48x48.png %buildroot/%{_iconsdir}/skype.png
install icons/SkypeBlue_48x48.png %buildroot/%{_datadir}/pixmaps/skype.png

# menu
desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%post
%update_desktop_database

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do
  if [ ! -d /home/$idx/.pulse ] ; then
    mkdir -p /home/$idx/.pulse
    chown -R $idx.`id -gn $idx` /home/$idx/.pulse
  fi
done

if [ ! -d /root/.pulse ] ; then
mkdir -p /root/.pulse
fi


%postun
%clean_desktop_database

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_datadir}/doc/skype-%{version}/LICENSE
%{_datadir}/doc/skype-%{version}/README
%{_sysconfdir}/dbus-1/system.d/skype.conf
%{_bindir}/skype
%{_datadir}/applications/skype.desktop
%{_datadir}/skype/sounds/*.wav
%{_iconsdir}/skype.png
%{_datadir}/pixmaps/skype.png
%{_datadir}/skype/lang/*
%{_datadir}/skype/avatars/*.png


%changelog
* Sat Jun 21 2014 ghostbunny <ghostbunny at gmx dot de> 4.3.0.37-1pclos2014
- 4.3.0.37
- merge 32 and 64bit spec (it's so easy with an ifarch)

* Thu Jun 20 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 4.2.0.11-1pclos2013
- 4.2.0.11

* Tue Jun 26 2012 Neal <nealbrks0 at gmail dot com> 4.0.0.7-1pclos2012
- process

* Tue Jun 26 2012 Agent Smith <ruidobranco@yahoo.com.br> 4.0.0.7-1pclos2012
- 4.0.0.7 - Updated package, compressed tar.xz to comply with PCLinuxOS standards

* Wed Jun 22 2011 pinoc <vogtpet at gmail.com> 2.2.0.35-1pclos2011
- 2.2.0.35

* Fri Apr 08 2011 Texstar <texstar at gmail.com> 2.2.0.25-1pclos2011
- 2.2.0.25

* Sat May 01 2010 Texstar <texstar at gmail.com> 2.1.0.81-1pclos2010
- 2.1.0.81 

* Tue Sep 02 2009 Texstar <texstar@gmail.com> 2.1.0.47-2pclos2009
- add .pulse folder if not present

* Sat Aug 29 2009 Texstar <texstar@gmail.com> 2.1.0.47-1pclos2009
- update

* Thu Mar 12 2009 Texstar <texstar@gmail.com> 2.0.0.72-3pclos2007
- add dependency

* Tue Dec 16 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.0.0.72-2pclos2007
- Use 48x48 icon as the official rpm from skype
- remove suid bit from executable
- fix deprecated desktop entry
- conflicts skype_static

* Thu Jun 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.0.0.72-1
- 2.0.0.72

* Sat Apr 05 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.0.0.68-1
- 2.0.0.68

* Sun Nov 18 2007 Torbjorn Turpeinen <tobbe@djura.org> 2.0.0.13-1
- 20.0.13

* Thu Oct 04 2007 Texstar <texstar@gmail.com> 1.4.0.118-1pclos2007
- 1.4.0.118

* Wed Oct 03 2007 Texstar <texstar@gmail.com> 1.4.0.99-2pclos2007
- apply permission to skype executable

* Tue Oct 02 2007 Texstar <texstar@gmail.com> 1.4.0.99-1pclos2007
- 1.4.0.99

* Wed Nov 30 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.3.0.53-4
- Fix spec for pclos2007

